package wenrgise.workflow.core.impl;

import wenrgise.workflow.core.WflDepartment;
import wenrgise.workflow.core.WflResource;
import wenrgise.workflow.core.WflSite;

public class WflResourceImpl implements WflResource {
  private String employeeId = null;
  
  private String empNo = null;
  
  private String userId = null;
  
  private WflSite loginSite = null;
  
  private WflDepartment department = null;
  
  private String routeDtlId;
  
  private String delegatedBy;
  
  public WflDepartment getDepartment() {
    return this.department;
  }
  
  public void setDepartment(WflDepartment newDepartment) {
    this.department = newDepartment;
  }
  
  public String getEmployeeId() {
    return this.employeeId;
  }
  
  public void setEmployeeId(String newEmployeeId) {
    this.employeeId = newEmployeeId;
  }
  
  public String getEmpNo() {
    return this.empNo;
  }
  
  public void setEmpNo(String newEmpNo) {
    this.empNo = newEmpNo;
  }
  
  public WflSite getLoginSite() {
    return this.loginSite;
  }
  
  public void setLoginSite(WflSite newLoginSite) {
    this.loginSite = newLoginSite;
  }
  
  public String getUserId() {
    return this.userId;
  }
  
  public void setUserId(String newUserId) {
    this.userId = newUserId;
  }
  
  public String getRouteDtlId() {
    return this.routeDtlId;
  }
  
  public void setRouteDtlId(String newRouteDtlId) {
    this.routeDtlId = newRouteDtlId;
  }
  
  public String getDelegatedBy() {
    return this.delegatedBy;
  }
  
  public void setDelegatedBy(String newDelegatedBy) {
    this.delegatedBy = newDelegatedBy;
  }
}
